Page MenuHomePhabricator

Raise abusefilter autodisable limit on es.wikibooks
Closed, ResolvedPublic

Description

Our primary antivandalism filter is getting continuously automatically disabled because of too many hits. Fact is that those edits are correctly blocked. Spanish Wikibooks have a very low traffic, and I guess that 5% of edits a day means making 5/6 bad edits which are triggered by the filter. Please raise the limits so we can have the filter back to work again. Thanks.

https://es.wikibooks.org/wiki/Wikilibros:Caf%C3%A9#Abuse_filter_configuration_update

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptSep 15 2016, 10:50 AM
Dereckson added a subscriber: Dereckson.EditedOct 8 2016, 12:43 AM

You'll find on https://www.mediawiki.org/wiki/Extension:AbuseFilter#Configuration the different settings.

$wgAbuseFilterEmergencyDisableThreshold seems to match what you describe.

30% and at least 10 edits?

Change 314797 had a related patch set uploaded (by Dereckson):
Raise abuse filter emergency threshold for es.wikibooks

https://gerrit.wikimedia.org/r/314797

@MarcoAurelio Please notify the village pump about this, so we can deploy it early next week if there isn't objection during the week-end.

Dereckson updated the task description. (Show Details)Oct 8 2016, 11:32 PM
Syum90 added a subscriber: Syum90.Oct 9 2016, 9:18 AM

@MarcoAurelio Please notify the village pump about this, so we can deploy it early next week if there isn't objection during the week-end.

Sorry I was away. Thanks for doing so. @Syum90 and myself support the change, and it's likely the two only opinions you'd get so I'd say this is ready for deployement. Thank you.

Change 314797 merged by jenkins-bot:
Raise abuse filter emergency threshold for es.wikibooks

https://gerrit.wikimedia.org/r/314797

Mentioned in SAL (#wikimedia-operations) [2016-10-12T23:08:44Z] <dereckson@mira> Synchronized wmf-config/InitialiseSettings.php: Raise abuse filter emergency threshold for es.wikibooks (T145765) (duration: 01m 19s)

Dereckson moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Deployed. Check if abuse filter logs look good to you during the next vandalism.

Deployed. Check if abuse filter logs look good to you during the next vandalism.

No feedback; can this task be closed as resolved?

Dereckson closed this task as Resolved.Oct 30 2016, 4:43 PM

I imagine so. Please reopen if there is further issue.